petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningRegister

Adds a new sparse matrix partitioning to the matrix package.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningRegister(const char sname[],PetscErrorCode (*function)(MatPartitioning))

Not Collective Many br

### Input Parameters

| sname | - name of partitioning (for example MATPARTITIONINGCURRENT) or parmetis Many br
| function | - function pointer that creates the partitioning type Many br

Many br

### Sample usage

       MatPartitioningRegister("my_part",MyPartCreate);

Many br

Then, your partitioner can be chosen with the procedural interface via Many br

        MatPartitioningSetType(part,"my_part")

or at runtime via the option Many br

        -mat_partitioning_type my_part

### Keywords

matrix, partitioning, register

### See Also

MatPartitioningRegisterDestroy(), MatPartitioningRegisterAll()

Level:developer
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages